##################################################
# SUSYTools configuration file
##################################################
Slices.Ele: 1
Slices.Pho: 1
Slices.Mu: 1
Slices.Tau: 1
Slices.Jet: 1
Slices.BJet: 1
Slices.FJet: 1
Slices.TJet: 1
Slices.MET: 1
#
IsRun3: false
#
EleBaseline.Pt: 10000.
EleBaseline.Eta: 2.47
EleBaseline.Id: LooseAndBLayerLLH
EleBaseline.CrackVeto: false
EleBaseline.z0: 0.5
#
Ele.Et: 10000.
Ele.Eta: 2.47
Ele.CrackVeto: false
Ele.Iso: Loose_VarRad
Ele.IsoHighPt: HighPtCaloOnly # tight iso required for electrons pt > 200 GeV
Ele.Id: TightLLH
Ele.d0sig: 5.
Ele.z0: 0.5
# ChargeIDSelector WP
Ele.CFT: None

Ele.LRTOR: false
#
MuonBaseline.Pt: 10000.
MuonBaseline.Eta: 2.7
MuonBaseline.Id: 1 # Medium 
MuonBaseline.z0: 0.5
#
Muon.Pt: 10000.
Muon.Eta: 2.7
Muon.Id: 1 # Medium
Muon.Iso: PflowLoose_VarRad
Muon.IsoHighPt: PflowLoose_VarRad # change WP if you want
Muon.d0sig: 3.
Muon.z0: 0.5
#
Muon.LRTOR: false
# 
MuonCosmic.z0: 1.
MuonCosmic.d0: 0.2
#
BadMuon.qoverp: 0.4
#
PhotonBaseline.Pt: 25000.
PhotonBaseline.Eta: 2.37
PhotonBaseline.Id: Tight
#
Photon.Pt: 25000.
Photon.Eta: 2.37
Photon.Id: Tight
Photon.Iso: FixedCutTight #TightCaloOnly #
#
Tau.Pt: 20000.
Tau.Eta: 2.5
Tau.Id: Medium
Tau.DoTruthMatching: true
Tau.PrePtCut: 0.                    # default: 0
Tau.ConfigPath: default             # default: default
TauBaseline.Id VeryLoose            # default: Medium
TauBaseline.ConfigPath: default     # default: default
#
Jet.Pt: 20000.
Jet.Eta: 2.8
Jet.InputType: 9 # EMTopo 1, PFlow: 9. PFlow is new recommended for everything.  
Jet.UncertConfig: rel22/Winter2023_PreRec/R4_CategoryReduction_FullJER.config # This is the uncertainty for analyses going to perform combinations. Otherwise rel21/Summer2019/R4_SR_Scenario1_SimpleJER.conf can be used if insensitive to JES. If you are wanting to do the fullJER (with PDSmear) please use : rel21/Summer2019/R4_CategoryReduction_FullJER.config and PDSmearing below set to true).
Jet.JvtWP: FixedEffPt # choose between FixedEffPt (Default) and TightFwd
Jet.JvtPtMax: 60.0e3
Jet.JMSCalib: false 
#Jet.AnalysisFile: 
Jet.UncertPDsmearing: false # set this to true for pseudo-data smearing for FullJER if using the FullJER or AllJER. This will produce two version of the JET_JER systematics (differing with __1 for the non-PDSmear systematic, and __2 for the PDSmear systematic). This should be false if using SimpleJER (SUSYTools will report an error message) 
#
FwdJet.doJVT: false
FwdJet.JvtEtaMin: 2.5 
FwdJet.JvtWP: Loose #  R22 prerec
FwdJet.JvtPtMax: 60.0e3
#
Jet.LargeRuncConfig: #rec are missing for UFO jets
Jet.LargeRcollection: AntiKt10UFOCSSKSoftDropBeta100Zcut10Jets # set to None to turn this off
Jet.JESConfigFat: JES_MC16recommendation_R10_UFO_CSSK_SoftDrop_JMS_01April2020.config
Jet.JESConfigFatData: JES_MC16recommendation_R10_UFO_CSSK_SoftDrop_JMS_01April2020.config
#disable CaloMass# Jet.LargeRcollection: AntiKt10LCTopoTrimmedPtFrac5SmallR20Jets
#disable CaloMass# Jet.JESConfigFat: JES_MC16recommendation_FatJet_Trimmed_JMS_calo_12Oct2018.config
#disable SoftDrop# Jet.LargeRcollection: AntiKt10UFOCSSKSoftDropBeta100Zcut10
#disable SoftDrop# Jet.JESConfigFat: JES_MC16recommendation_R10_UFO_CSSK_SoftDrop_JMS_01April2020.config
#disable CombinedMass# Jet.LargeRcollection: AntiKt10LCTopoTrimmedPtFrac5SmallR20Jets # set to None to turn this off
#disable CombinedMass# Jet.JESConfigFat: JES_MC16recommendation_FatJet_Trimmed_JMS_comb_17Oct2018.config
#disable CombinedMass# Jet.LargeRuncConfig: rel21/Spring2019/R10_GlobalReduction.config # set to None to turn this off
#Jet.LargeRuncVars: pT,mass,D2Beta1     # W/Z Taggers
#Jet.LargeRuncVars: pT,Split23,Tau32WTA # Top taggers
#
Jet.WtaggerConfig: SmoothedContainedWTagger_AntiKt10UFOCSSKSoftDrop_FixedSignalEfficiency80_20220221.dat # set to None to turn this off
Jet.ZtaggerConfig: SmoothedContainedZTagger_AntiKt10UFOCSSKSoftDrop_FixedSignalEfficiency80_20220221.dat # set to None to turn this off
Jet.ToptaggerConfig: DNNTagger_AntiKt10UFOSD_TopContained80_Oct30.dat # set to None to turn this off
#
BadJet.Cut: LooseBad
#
#master switch for btagging use in ST. If false, btagging is not used neither for jets decorations nor for OR (regardless of the options below)
Btag.enable: true
#
#Btag.CalibPath: #default=xAODBTaggingEfficiency/13TeV/2022-22-13TeV-MC20-CDI-2022-07-28_v1.root
Btag.Tagger:  DL1dv01 # DL1dv01 recommended, GN1 experimental
Btag.WP: FixedCutBEff_85
Btag.MinPt: 20000.
#
TrackJet.Coll: None # AntiKt2PV0TrackJets # AntiKtVR30Rmax4Rmin02TrackJets # Set to None to turn off
TrackJet.Pt: 20000.
TrackJet.Eta: 2.8
BtagTrkJet.enable: true
BtagTrkJet.Tagger: DL1r
BtagTrkJet.WP: FixedCutBEff_77
BtagTrkJet.MinPt: 10000.
#
# set the -999. to positive number to override default
OR.DoBoostedElectron: true
OR.BoostedElectronC1: -999.
OR.BoostedElectronC2: -999.
OR.BoostedElectronMaxConeSize: -999.
OR.DoBoostedMuon: true
OR.BoostedMuonC1: -999.
OR.BoostedMuonC2: -999.
OR.BoostedMuonMaxConeSize: -999.
OR.DoMuonJetGhostAssociation: true
OR.DoTau: false
OR.DoPhoton: false
OR.Bjet: false
OR.ElBjet: false 
OR.ElEl: false
OR.ElMu: false
OR.MuBjet: false 
OR.TauBjet: false
OR.MuJetApplyRelPt: false
OR.MuJetPtRatio: -999.
OR.MuJetTrkPtRatio: -999.
OR.RemoveCaloMuons: true
OR.MuJetInnerDR: -999.
OR.BtagWP: FixedCutBEff_85
OR.BJetPtUpperThres: -1
#
OR.DoFatJets: false
OR.EleFatJetDR: -999.
OR.JetFatJetDR: -999.
#
SigLep.RequireIso: true
#
MET.EleTerm: RefEle
MET.GammaTerm: RefGamma
MET.TauTerm: RefTau
MET.JetTerm: RefJet
MET.MuonTerm: Muons
MET.OutputTerm: Final
MET.JetSelection: Tight # Loose, Tight, Tighter, Tenacious
MET.RemoveOverlappingCaloTaggedMuons: true 
MET.DoRemoveMuonJets: true
MET.UseGhostMuons: false
MET.DoMuonEloss: false

METSig.TreatPUJets: true

Truth.UseTRUTH3: true

Trigger.UpstreamMatching: true
Trigger.MatchingPrefix: TrigMatch_

#
# Trigger SFs configuration
Ele.TriggerSFStringSingle: SINGLE_E_2015_e24_lhmedium_L1EM20VH_OR_e60_lhmedium_OR_e120_lhloose_2016_2018_e26_lhtight_nod0_ivarloose_OR_e60_lhmedium_nod0_OR_e140_lhloose_nod0
#Ele.TriggerSFStringSingle:
#
# actual Mu files have to be set in SUSYTools
PRW.ActualMu2017File: GoodRunsLists/data17_13TeV/20180619/physics_25ns_Triggerno17e33prim.actualMu.OflLumi-13TeV-010.root
PRW.ActualMu2018File: GoodRunsLists/data18_13TeV/20190318/physics_25ns_Triggerno17e33prim.actualMu.OflLumi-13TeV-010.root
# default to None but do set to BFilter (366010-366017), CFilterBVeto (366019-366026), or CVetoBVeto (366028-366035) to remap MC16e Znunu dsid
PRW.autoconfigPRWHFFilter: None 
PRW.autoconfigPRWRtags:mc16a:r9364_r11505_r11285,mc16c:r9781,mc16d:r10201_r11506_r11279,mc16e:r10724_r11507_r11249_r12020_r12034_r12405_r12627,mc20a:r13167,mc20d:r13144,mc20e:r13145,mc21a:r13752_r13829,mc16ans:r10740_r10832_r10847_r11008_r11036,mc16dns:r10739_r10833_r10848_r11009_r11037,mc16ens:r10790_r11038_r11265
#
StrictConfigCheck: true
